> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# On Form Interaction

> Handle repository selection form submission.

When a user selects a repository from the external_select dropdown,
this endpoint passes the payload to the manager which retrieves the
original user message from Redis and starts the conversation.



## OpenAPI

````yaml /openapi/openhands-cloud.json post /slack/on-form-interaction
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /slack/on-form-interaction:
    post:
      summary: On Form Interaction
      description: |-
        Handle repository selection form submission.

        When a user selects a repository from the external_select dropdown,
        this endpoint passes the payload to the manager which retrieves the
        original user message from Redis and starts the conversation.
      operationId: on_form_interaction_slack_on_form_interaction_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}

````